/**
 * suppresscolor-plugin.c
 * This file is part of PlayRaw.
 *
 * Copyright © 2008 Stian Selnes
 *
 *
 * PlayRaw is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * PlayRaw is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with PlayRaw.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Author:
 *     Stian Selnes <stian.selnes@gmail.com>
 */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <suppresscolor.h>
/*
GST_DEBUG_CATEGORY_STATIC (gst_suppresscolor_debug);
#define GST_CAT_DEFAULT gst_suppresscolor_debug
*/
static gboolean
plugin_init (GstPlugin * plugin)
{
/*	GST_DEBUG_CATEGORY_INIT (gst_suppresscolor_debug, "suppresscolor",
    0, "SuppressColor Component");*/

	return gst_element_register (plugin, "suppresscolor", GST_RANK_NONE,
	                             GST_TYPE_SUPPRESS_COLOR);
}


GST_PLUGIN_DEFINE (
    GST_VERSION_MAJOR,
    GST_VERSION_MINOR,
    "Suppress Color",
    "Suppress Color Component",
    plugin_init,
    PACKAGE_VERSION,
    "LGPL",
    "GStreamer",
    "http://gstreamer.net/")
